Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_symbols(symbol="AAPL")
assert res.symbol_info is not None
# Handle response
print(res.symbol_info)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getSymbols({
symbol: "AAPL",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/symbols \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/symbols",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/symbols"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/symbols")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/symbols")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"daily_multipliers": [
"1"
],
"description": "Apple Inc",
"exchange": "NASDAQ",
"format": "price",
"has_daily": true,
"has_intraday": true,
"has_seconds": true,
"has_ticks": true,
"has_weekly_and_monthly": true,
"intraday_multipliers": [
"1",
"5",
"15",
"30",
"60",
"240"
],
"listed_exchange": "NASDAQ",
"minmov": 1,
"monthly_multipliers": [
"1"
],
"name": "Apple Inc",
"pricescale": 100,
"session": "0400-2000",
"subsession_id": "",
"subsessions": null,
"supported_resolutions": [
"1T",
"5T",
"10T",
"25T",
"50T",
"100T",
"250T",
"500T",
"1000T",
"1",
"3",
"5",
"15",
"30",
"45",
"60",
"120",
"180",
"240",
"1D",
"1W",
"1M",
"3M",
"6M",
"12M"
],
"ticker": "AAPL",
"timezone": "America/New_York",
"type": "stock",
"visible_plots_set": "ohlcv",
"volume_precision": 1,
"weekly_multipliers": [
"1"
]
}Chart
Symbol Information
Retrieves comprehensive metadata about a specific trading symbol including name, type, exchange, tick size, trading hours, and supported order types. Essential for understanding symbol characteristics before placing trades.
Use Case: Validate symbol details and retrieve trading specifications before executing orders or building symbol-specific trading interfaces.
GET
/
v1
/
chart
/
symbols
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_symbols(symbol="AAPL")
assert res.symbol_info is not None
# Handle response
print(res.symbol_info)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getSymbols({
symbol: "AAPL",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/symbols \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/symbols",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/symbols"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/symbols")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/symbols")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"daily_multipliers": [
"1"
],
"description": "Apple Inc",
"exchange": "NASDAQ",
"format": "price",
"has_daily": true,
"has_intraday": true,
"has_seconds": true,
"has_ticks": true,
"has_weekly_and_monthly": true,
"intraday_multipliers": [
"1",
"5",
"15",
"30",
"60",
"240"
],
"listed_exchange": "NASDAQ",
"minmov": 1,
"monthly_multipliers": [
"1"
],
"name": "Apple Inc",
"pricescale": 100,
"session": "0400-2000",
"subsession_id": "",
"subsessions": null,
"supported_resolutions": [
"1T",
"5T",
"10T",
"25T",
"50T",
"100T",
"250T",
"500T",
"1000T",
"1",
"3",
"5",
"15",
"30",
"45",
"60",
"120",
"180",
"240",
"1D",
"1W",
"1M",
"3M",
"6M",
"12M"
],
"ticker": "AAPL",
"timezone": "America/New_York",
"type": "stock",
"visible_plots_set": "ohlcv",
"volume_precision": 1,
"weekly_multipliers": [
"1"
]
}Authorizations
Query Parameters
Response
Symbol information retrieved successfully
Chart symbol metadata, including supported resolutions, trading session and price scale.
Was this page helpful?